import service from '@/utils/request'

export const getcourseList = (data) => {
    return service({
        url: "/admin/getcourseList",
        method: 'post',
        data
    })
}

export const getCourseInfo = (data) => {
    return service({
        url: "/admin/getCourseInfo",
        method: 'post',
        data
    })
}

export const addCourse = (data) => {
    return service({
        url: "/admin/addcourse",
        method: 'post',
        data
    })
}

export const addCourseMedia = (data) => {
    return service({
        url: "/admin/addcoursemedia",
        method: 'post',
        data
    })
}

export const deleteCourseMedia = (data) => {
    return service({
        url: "/admin/deleteCoursemedia",
        method: 'post',
        data
    })
}

export const getCourseMediaList = (data) => {
    return service({
        url: "/admin/getCourseMediaList",
        method: 'post',
        data
    })
}
